#
# spec file for package tigervnc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define vncgroup vnc
%define vncuser vnc

%define tlskey  %{_sysconfdir}/vnc/tls.key
%define tlscert %{_sysconfdir}/vnc/tls.cert

Name:           tigervnc
Version:        1.6.0
Release:        24.1
Obsoletes:      tightvnc <= 1.3.9
Provides:       tightvnc = 1.3.9.5
Provides:       vnc
BuildRequires:  Mesa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  gcc-c++
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libjpeg-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  nasm
BuildRequires:  xorg-x11-server-sdk
BuildRequires:  xorg-x11-server-source >= 7.6_1.18.3
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xtst)
# Because of keytool to build java client
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  mozilla-nss
BuildRequires:  pam-devel
BuildRequires:  pkg-config
BuildRequires:  xmlto
BuildRequires:  xorg-x11-libICE-devel
BuildRequires:  xorg-x11-libSM-devel
BuildRequires:  pkgconfig(bigreqsproto) >= 1.1.0
BuildRequires:  pkgconfig(compositeproto) >= 0.4
BuildRequires:  pkgconfig(damageproto) >= 1.1
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(fixesproto) >= 4.1
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(fontutil)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glproto)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(inputproto)  >= 1.9.99.902
BuildRequires:  pkgconfig(kbproto) >= 1.0.3
BuildRequires:  pkgconfig(libtasn1)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(pixman-1) >= 0.15.20
BuildRequires:  pkgconfig(presentproto) >= 1.0
BuildRequires:  pkgconfig(randrproto) >= 1.2.99.3
BuildRequires:  pkgconfig(recordproto) >= 1.13.99.1
BuildRequires:  pkgconfig(renderproto) >= 0.11
BuildRequires:  pkgconfig(resourceproto)
BuildRequires:  pkgconfig(scrnsaverproto) >= 1.1
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xcmiscproto) >= 1.2.0
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xextproto) >= 7.0.99.3
BuildRequires:  pkgconfig(xf86driproto) >= 2.1.1
BuildRequires:  pkgconfig(xfont) >= 1.4.2
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.14
BuildRequires:  pkgconfig(xproto)  >= 7.0.17
BuildRequires:  pkgconfig(xtrans) >= 1.2.2
Requires(post):   update-alternatives
Requires(postun): update-alternatives
Url:            http://tigervnc.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A high-performance, platform-neutral implementation of VNC
# would need fixing to use fPIC in common/CMakeLists.txt
License:        GPL-2.0 and MIT
Group:          System/X11/Servers/XF86_4
ExcludeArch:    s390
Source1:        https://github.com/TigerVNC/tigervnc/archive/v%{version}.tar.gz
Source3:        vnc.xinetd
Source4:        10-libvnc.conf
Source5:        vnc-server.firewall
Source6:        vnc-httpd.firewall
Source7:        vnc_inetd_httpd
Source8:        vnc.reg
Source9:        vncpasswd.arg
Source10:       vnc.pam
Source11:       with-vnc-key.sh
Source12:       index.vnc
Patch1:         tigervnc-newfbsize.patch
Patch2:         tigervnc-clean-pressed-key-on-exit.patch
Patch3:         u_tigervnc-ignore-epipe-on-write.patch
Patch4:         n_tigervnc-date-time.patch
Patch5:         U_include-vencrypt-only-if-any-subtype-present.patch
Patch6:         u_tigervnc-cve-2014-8240.patch
Patch7:         u_xserver118.patch
Patch8:         u_tigervnc_update_default_vncxstartup.patch
Patch9:         u_add_allowoverride_parameter.patch
Patch10:        u_build_libXvnc_as_separate_library.patch
Patch11:        N_tigervnc_revert_fltk_1_3_3_requirements.patch
Patch12:        N_use-icewm.patch
Patch13:        u_tigervnc-show-unencrypted-warning.patch
Patch14:        U_tigervnc_clear_up_zlibinstream_reset_behaviour.patch
Patch15:        U_tigervnc-fix-buffer-overflow-in-ModifiablePixelBuffer-fillRect.patch
Patch16:        U_tigervnc-prevent-invalid-PixelBuffer-accesses.patch
Patch17:        U_tigervnc-check-invalid-RRE-rects.patch
Patch18:        U_tigervnc_proper_global_init_deinit_of_GnuTLS.patch
Patch19:        U_tigervnc-crop-cursor-before-calling-maskRect.patch
Patch20:        U_tigervnc-restore-cropping-API-to-maskRect.patch
Patch21:        U_tigervnc-delete-underlying-ssecurity-in-SSecurityVeNCrypt.patch
Patch22:        U_tigervnc-fix-checkNoWait-logic-in-SSecurityPlain.patch
Patch23:        U_tigervnc-fix-crash-from-integer-overflow-in-SMsgReader-readClientCutText.patch
Patch24:        U_tigervnc-limit-max-username-password-size-in-SSecurityPlain.patch
Patch25:        U_tigervnc-prevent-double-free-by-crafted-fences.patch
Patch26:        U_tigervnc-prevent-leak-of-SecurityServer-and-ClientServer.patch
Patch27:        U_tigervnc-better-check-for-screen-visibility.patch
Patch28:        U_tigervnc-limit-size-of-cursor-accepted-by-client.patch
Patch29:        U_allow_multiple_certs_with_same_dn_in_saved_certs_file.patch
Patch30:        U_handle_certificate_verification_for_saved_certs_correctly.patch
Patch31:        u_tigervnc-add-autoaccept-parameter.patch
Patch32:        U_tigervnc-fix-race-problem-with-detecting-listening-inetd-sockets.patch
Patch33:        n_java_fix_16bit_depth.patch

%description
TigerVNC is a high-performance, platform-neutral implementation of VNC (Virtual Network Computing), 
a client/server application that allows users to launch and interact with graphical applications on remote machines. 
TigerVNC provides the levels of performance necessary to run 3D and video applications;
it attempts to maintain a common look and feel and re-use components, where possible, across the various platforms that it supports. 
TigerVNC also provides extensions for advanced authentication methods and TLS encryption.

%package -n xorg-x11-Xvnc
Requires(post): /usr/sbin/useradd
Requires(post): /usr/sbin/groupadd
# Needed to generate certificates
Requires:       openssl
# Needed to serve java applet
Requires:       python
Requires:       python-pyOpenSSL
Requires:       xauth
Requires:       xinetd
# Needed by vncserver script.
Requires:       icewm-lite
Requires:       xinit
Requires:       xkbcomp
Requires:       xkeyboard-config
Requires:       xorg-x11-fonts-core
# For the with-vnc-key.sh script
Requires:       /bin/hostname
Provides:       xorg-x11-Xvnc:/usr/lib/vnc/with-vnc-key.sh
Summary:        TigerVNC implementation of Xvnc
Group:          System/X11/Servers/XF86_4

%description -n xorg-x11-Xvnc
This is the TigerVNC implementation of Xvnc.

%package -n libXvnc1
Summary:        X extension to control VNC module
Group:          System/Libraries

%description -n libXvnc1
Xvnc extension allows X clients to read and change VNC configuration.

%package -n libXvnc-devel
Summary:        X extension to control VNC module
Group:          Development/Libraries/C and C++
Requires:       libXvnc1 = %version

%description -n libXvnc-devel
Xvnc extension allows X clients to read and change VNC configuration.

%prep
%setup -T -b1 -q
cp -r /usr/src/xserver/* unix/xserver/

%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1

pushd unix/xserver
# Please adjust version of org-x11-server-source in BuildRequires
# when changing ...
patch -p1 < ../xserver117.patch
popd

%build
export CXXFLAGS="%optflags -fPIC"
export CFLAGS="%optflags -fPIC"
# Build all tigervnc
cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_TIMESTAMP="??-??-?? ??:??"
make %{?_smp_mflags}

# Build Xvnc server
pushd unix/xserver
autoreconf -fi
%configure \
        --disable-xorg --disable-xnest --disable-xvfb --disable-dmx \
        --disable-xwin --disable-xephyr --disable-kdrive --with-pic \
        --disable-static --disable-xinerama \
        --with-xkb-path="/usr/share/X11/xkb" \
        --with-xkb-output="/var/lib/xkb/compiled" \
        --enable-glx --enable-dri \
%ifnarch s390 s390x
	--enable-dri2 \
%endif
        --disable-config-dbus \
        --disable-config-hal \
        --disable-config-udev \
        --without-dtrace \
        --disable-unit-tests \
        --disable-devel-docs \
        --with-fontrootdir=/usr/share/fonts \
        --disable-selective-werror
make %{?_smp_mflags} V=1
popd

# Build java client
pushd java
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
make %{?_smp_mflags}
popd

%install

%make_install

mv $RPM_BUILD_ROOT/usr/bin/vncviewer $RPM_BUILD_ROOT/usr/bin/vncviewer-tigervnc
mv $RPM_BUILD_ROOT/usr/share/man/man1/vncviewer.1 $RPM_BUILD_ROOT/usr/share/man/man1/vncviewer-tigervnc.1

pushd unix/xserver
%make_install
popd

pushd java
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vnc/classes
install -m755 VncViewer.jar $RPM_BUILD_ROOT%{_datadir}/vnc/classes
popd

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd.d/vnc
%ifnarch s390 s390x
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/10-libvnc.conf
%endif
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/vnc-server
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/vnc-httpd
install -D -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/vnc_inetd_httpd
install -D -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/slp.reg.d/vnc.reg
install -D -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/vncpasswd.arg
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/pam.d/vnc
install -D -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/vnc/classes
ln -s -f %{_sysconfdir}/alternatives/vncviewer $RPM_BUILD_ROOT%{_bindir}/vncviewer
ln -s -f %{_sysconfdir}/alternatives/vncviewer.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/vncviewer.1.gz

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/vnc

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/vnc
install -D -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_libexecdir}/vnc

%find_lang '%{name}'

%pre -n xorg-x11-Xvnc
getent group %{vncgroup} > /dev/null || groupadd -r %{vncgroup} || :
getent passwd %{vncuser} > /dev/null || useradd -r -g %{vncgroup} -d /var/lib/empty -s /sbin/nologin -c "user for VNC" %{vncuser} || :
usermod -G shadow -a %{vncuser} || :

%post
%_sbindir/update-alternatives \
    --install %{_bindir}/vncviewer vncviewer %{_bindir}/vncviewer-tigervnc 20 \
    --slave %{_mandir}/man1/vncviewer.1.gz  vncviewer.1.gz  %{_mandir}/man1/vncviewer-tigervnc.1.gz

%postun
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove vncviewer /usr/bin/vncviewer-tigervnc
fi

%post -n libXvnc1 -p /sbin/ldconfig

%postun -n libXvnc1 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%ghost %{_bindir}/vncviewer
%{_bindir}/vncviewer-tigervnc
%doc LICENCE.TXT README.txt
%ghost %_mandir/man1/vncviewer.1.gz
%doc %_mandir/man1/vncviewer-tigervnc.1.gz
%ghost %_sysconfdir/alternatives/vncviewer
%ghost %_sysconfdir/alternatives/vncviewer.1.gz

%files -n xorg-x11-Xvnc
%defattr(-,root,root)

%exclude /usr/share/doc/tigervnc-%{version}
%doc LICENCE.TXT
%doc README.txt

%{_bindir}/Xvnc
%{_bindir}/vncconfig
%{_bindir}/vncpasswd
%{_bindir}/vncpasswd.arg
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%{_bindir}/vnc_inetd_httpd

%exclude %{_mandir}/man1/Xserver.1*
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*

%exclude /usr/%{_lib}/xorg/protocol.txt
%exclude /usr/%{_lib}/xorg/modules/extensions/libvnc.la
%ifnarch s390 s390x
%{_libdir}/xorg/modules/extensions/libvnc.so
%else
%exclude %{_libdir}/xorg/modules
%exclude %{_libdir}/xorg/modules/extensions
%exclude %{_libdir}/xorg/modules/extensions/libvnc.so
%endif

%exclude /var/lib/xkb/compiled/README.compiled

%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/vnc-server
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/vnc-httpd

%ifnarch s390 s390x
%config(noreplace) /etc/X11/xorg.conf.d/10-libvnc.conf
%else
%exclude /etc/X11/xorg.conf.d
%endif
%config(noreplace) /etc/xinetd.d/vnc
%dir /etc/slp.reg.d
%config(noreplace) /etc/slp.reg.d/vnc.reg

%config %{_sysconfdir}/pam.d/vnc

%exclude /usr/lib/debug/*
%exclude /usr/lib/debug/.*
%exclude /usr/src/debug

%doc java/com/tigervnc/vncviewer/README
%{_datadir}/vnc

%dir %attr(0755,%{vncuser},%{vncuser}) %{_sysconfdir}/vnc
%ghost %attr(0600,%{vncuser},%{vncuser}) %config(noreplace) %{tlskey}
%ghost %attr(0644,%{vncuser},%{vncuser}) %config(noreplace) %{tlscert}

%{_libexecdir}/vnc

%files -n libXvnc1
%defattr(-,root,root)
%{_libdir}/libXvnc.so.1*

%files -n libXvnc-devel
%defattr(-,root,root)
%{_libdir}/libXvnc.so
%{_includedir}/X11/extensions/Xvnc.h

%changelog
* Thu Jan 11 2018 msrb@suse.com
- n_java_fix_16bit_depth.patch
  * Fix 16bit depth support in the java viewer. (bnc#1075403)
* Thu Sep  7 2017 msrb@suse.com
- U_tigervnc-fix-race-problem-with-detecting-listening-inetd-sockets.patch
  (bnc#1054300)
* Fri Aug 11 2017 msrb@suse.com
- Disable MIT-SHM extension when running under vnc user.
  (bnc#1053373)
* Thu Jul 20 2017 msrb@suse.com
- U_allow_multiple_certs_with_same_dn_in_saved_certs_file.patch,
  U_handle_certificate_verification_for_saved_certs_correctly.patch
  * Fix certificate handling in the java client. (bnc#1041847)
- Refresh u_tigervnc-add-autoaccept-parameter.patch and apply it
  last.
- Make sure CN in generated certificate doesn't exceed 64
  characters. (bnc#1041847)
* Fri Jul  7 2017 msrb@suse.com
- Change with-vnc-key.sh to generate TLS certificate using current
  hostname. (bnc#1041847)
* Fri Apr  7 2017 msrb@suse.com
- U_tigervnc-limit-size-of-cursor-accepted-by-client.patch
  * Prevent buffer overflow in VNC client.
    (bnc#1032880)
* Wed Apr  5 2017 msrb@suse.com
- U_tigervnc-better-check-for-screen-visibility.patch
  * Crop operations to visible screen. (bnc#1032272)
* Fri Mar 31 2017 msrb@suse.com
- U_tigervnc-delete-underlying-ssecurity-in-SSecurityVeNCrypt.patch,
  U_tigervnc-prevent-leak-of-SecurityServer-and-ClientServer.patch
  * Prevent leaks in VNC server. (bnc#bnc#1031886)
- U_tigervnc-fix-crash-from-integer-overflow-in-SMsgReader-readClientCutText.patch
  * Prevent clients crashing VNC server. (bnc#1031877)
- U_tigervnc-fix-checkNoWait-logic-in-SSecurityPlain.patch,
  U_tigervnc-limit-max-username-password-size-in-SSecurityPlain.patch
  * Prevent multiple security issues in security Plain. (bnc#1031879)
- U_tigervnc-prevent-double-free-by-crafted-fences.patch
  * Prevent double free in VNC server. (bnc#1031875)
* Mon Mar 27 2017 msrb@suse.com
- U_tigervnc-restore-cropping-API-to-maskRect.patch,
  U_tigervnc-crop-cursor-before-calling-maskRect.patch
  * Prevent client disconnection caused by invalid cursor
    manipulation. (bnc#1024929, bnc#1031045)
* Thu Mar  2 2017 msrb@suse.com
- Readd index.vnc. (bnc#1026833)
* Thu Feb  2 2017 msrb@suse.com
- U_tigervnc_proper_global_init_deinit_of_GnuTLS.patch
  * Prevent crash caused by failed TLS connection. (bnc#1023012)
* Wed Jan 18 2017 msrb@suse.com
- U_tigervnc-fix-buffer-overflow-in-ModifiablePixelBuffer-fillRect.patch,
  U_tigervnc-prevent-invalid-PixelBuffer-accesses.patch,
  U_tigervnc-check-invalid-RRE-rects.patch
  * Fix buffer overflow in client caused by malicious server.
    (bnc#1019274)
* Thu Jun 16 2016 msrb@suse.com
- Generate VNC key and certificate on first use, not during
  installation. (bnc#982349)
* Thu Jun  9 2016 msrb@suse.com
- U_tigervnc_clear_up_zlibinstream_reset_behaviour.patch
  * Fix zlib stream reset in tight encoding. (bnc#963417)
- Marking bnc#964352 (xkbcomp dependency) as fixed.
* Thu May 19 2016 msrb@suse.com
- Add /etc/pam.d/vnc configuration and add vnc user to shadow
  group. (bnc#980326)
* Thu Apr 28 2016 msrb@suse.com
- Add u_tigervnc-show-unencrypted-warning.patch (fate#319701)
* Wed Apr 27 2016 msrb@suse.com
- Add dependency on xorg-x11-fonts-core. (bnc#977019)
* Mon Apr 11 2016 msrb@suse.com
- Remove unnecessary dependency on icewm.
* Fri Apr  8 2016 sndirsch@suse.com
- buildrequire specific xorg-x11-server-source version (currently
  1.18.3) in order to prevent incomprehensible patch failures
* Tue Apr  5 2016 msrb@suse.com
- Update to tigervnc 1.6.0. (fate#319701, fate#319319, bnc#952057)
- N_tigervnc_revert_fltk_1_3_3_requirements.patch
  * Stay compatible with fltk 1.3.2.
- u_xserver118.patch
  * Build with X Server 1.18
- u_tigervnc_update_default_vncxstartup.patch
  * Update default VNC xstartup script.
- u_add_allowoverride_parameter.patch
  * Add option to to specify which parameters can be set from
    inside VNC session. (fate#319319)
- u_build_libXvnc_as_separate_library.patch
  * Allows other applications to use XVNC extension. (fate#319319)
- Remove upstreamed or obsolete patches:
  * U_support_ipv6.patch
  * n_tigervnc_Revert_Attempt_to_handle_Ctrl-key.patch
  * tigervnc-sf3495623.patch
  * u_syslog.patch
  * u_terminate_instead_of_ignoring_restart.patch
  * u_tigervnc-display-SHA-1-fingerprint-of-untrusted-certificate.patch
  * u_tigervnc-dont-send-ascii-control-characters.patch
  * u_tigervnc-prioritize-anon-ecdh.patch
  * u_tigervnc-send-special-keys-directly.patch
  * u_tigervnc-use-default-trust-manager-in-java-viewer-if-custom.patch
  * u_tigervnc-use_preferred_mode.patch
  * u_tigervnc-vncserver-clean-pid-files.patch
* Thu Oct 22 2015 msrb@suse.com
- U_support_ipv6.patch
  * Bind to both ipv4 and ipv6 addresses. (bnc#951281)
* Wed Oct 14 2015 msrb@suse.com
- u_tigervnc-prioritize-anon-ecdh.patch
  * Prefer ANON-ECDH over ANON-DH cipher to avoid java bug.
    (bnc#950147)
* Mon Oct  5 2015 msrb@suse.com
- u_tigervnc-vncserver-clean-pid-files.patch
  * vncserver: Clean pid files of dead processes. (bnc#948392)
* Wed Aug 26 2015 msrb@suse.com
- Remove commented out DefaultDepth 16 from 10-libvnc.conf file.
  Using 16 bit depth can cause troubles and does not have any
  positives anymore, so lets not suggest it to users. (bnc#942982)
* Tue Aug 11 2015 msrb@suse.com
- Readd index.vnc. (bnc#941123)
* Tue Jul 28 2015 msrb@suse.com
- Update tigervnc configuration safely. (bnc#939099)
* Tue Jul  7 2015 msrb@suse.com
- Use xserver sources from xorg-x11-server-source.
  - Drop xserver patches. (They are present in xorg-x11-server.)
- Use encryption everywhere. (fate#318936)
* Wed Apr  1 2015 msrb@suse.com
- u_terminate_instead_of_ignoring_restart.patch
  * Terminate instead of ignoring restart. (bnc#920969)
* Thu Feb 12 2015 msrb@suse.com
- U_xkb-check-strings-length-against-request-size.patch
  * Check string lenghts in XkbSetGeometry request.
    (bnc#915810, CVE-2015-0255)
* Mon Feb  2 2015 msrb@suse.com
- n_tigervnc_Revert_Attempt_to_handle_Ctrl-key.patch
  * Revert bugged upstream commit. (bnc#915782)
- Rebuild against fltk backported patches for cursor and clipboard
  handling. (bnc#908738)
- Update to tigervnc 1.4.1 and X server 1.15.2.
  (Required for security patches.) (bnc#911577)
- Synchronize patches from xorg-x11-server that are relevant for Xvnc:
  * U_BellProc-Send-bell-event-on-core-protocol-bell-when-requested.patch
  * U_Xi_unvalidated_lengths_in_Xinput_extension.patch
  * U_Xv_unvalidated_lengths_in_XVideo_extension_swapped_procs.patch
  * U_dbe_Call_to_DDX_SwapBuffers_requires_address_of_int_not_unsigned_int.patch
  * U_dbe_unvalidated_lengths_in_DbeSwapBuffers_calls.patch
  * U_dix_GetHosts_bounds_check_using_wrong_pointer_value.patch
  * U_dix_Missing_parens_in_REQUEST_FIXED_SIZE_macro.patch
  * U_dix_integer_overflow_in_GetHosts.patch
  * U_dix_integer_overflow_in_ProcPutImage.patch
  * U_dix_integer_overflow_in_REQUEST_FIXED_SIZE.patch
  * U_dix_integer_overflow_in_RegionSizeof.patch
  * U_fb-Fix-invalid-bpp-for-24bit-depth-window.patch
  * U_glx_Add_safe__add_mul_pad.patch
  * U_glx_Additional_paranoia_in___glXGetAnswerBuffer___GLX_GET_ANSWER_BUFFER.patch
  * U_glx_Be_more_paranoid_about_variable_length_requests.patch
  * U_glx_Be_more_strict_about_rejecting_invalid_image_sizes.patch
  * U_glx_Fix_image_size_computation_for_EXT_texture_integer.patch
  * U_glx_Fix_mask_truncation_in___glXGetAnswerBuffer.patch
  * U_glx_Integer_overflow_protection_for_non_generated_render_requests.patch
  * U_glx_Length_checking_for_GLXRender_requests.patch
  * U_glx_Length_checking_for_RenderLarge_requests.patch
  * U_glx_Length_checking_for_non_generated_single_request.patch
  * U_glx_Length_checking_for_non_generated_vendor_private_requests.patch
  * U_glx_Pass_remaining_request_length_into_varsize.patch
  * U_glx_Request_length_checks_for_SetClientInfoARB.patch
  * U_glx_Top_level_length_checking_for_swapped_VendorPrivate_requests.patch
  * U_randr_unvalidated_lengths_in_RandR_extension_swapped_procs.patch
  * U_render_check_request_size_before_reading_it.patch
  * U_render_unvalidated_lengths_in_Render_extn_swapped_procs.patch
  * U_unchecked_malloc_may_allow_unauthed_client_to_crash_Xserver.patch
  * U_xcmisc_unvalidated_length_in_SProcXCMiscGetXIDList.patch
  * U_xfixes_unvalidated_length_in_SProcXFixesSelectSelectionInput.patch
  * n_tigervnc-date-time.patch
- Drop upstreamed/obsolete patches:
  * U_tigervnc-dont-check-inputs-with-assert.patch
  * U_tigervnc-use-asserts-in-release.patch
  * tigervnc-1.2.80-fix-int-to-pointer.patch
  * tigervnc-sf3492352.diff
  * u_aarch64-support.patch
  * u_tigervnc-1.3.0-fix-use-after-free.patch
  * u_tigervnc-check-shm-harder.patch
* Tue Nov 25 2014 msrb@suse.com
- Add u_tigervnc-send-special-keys-directly.patch,
  fix u_tigervnc-dont-send-ascii-control-characters.patch
  * Send correctly keys that don't type any characters, such as
    CTRL+Space. (bnc#906922)
* Thu Oct 30 2014 msrb@suse.com
- u_tigervnc-cve-2014-8240.patch
  * Prevent potentially dangerous integer overflow.
    (bnc#900896 CVE-2014-8240)
* Thu Sep 25 2014 msrb@suse.com
- u_tigervnc-use_preferred_mode.patch
  * Mark user chosen resolution as preferred. (bnc#896540)
* Mon Aug 18 2014 msrb@suse.com
- Obsolete tightvnc <= 1.3.9 for proper upgrade from SLE11.
  (bnc#891982)
* Tue Aug 12 2014 msrb@suse.com
- u_tigervnc-check-shm-harder.patch
  * Check if SHM really works before deciding to use it.
    (bnc#890580)
* Fri Aug  1 2014 msrb@suse.com
- U_include-vencrypt-only-if-any-subtype-present.patch
  * Do not automatically offer VeNCrypt security if none of it's
    subtypes is selected. (bnc#889781)
* Wed Jul 23 2014 msrb@suse.com
- Fix mistakes in spec file. (bnc#888371)
* Wed May 28 2014 msrb@suse.com
- Use update-alternatives.
* Thu May  8 2014 msrb@suse.com
- u_tigervnc-ignore-epipe-on-write.patch
  * Do not display error message because of EPIPE on write.
    (bnc#864676)
* Sat Apr 26 2014 sndirsch@suse.com
- xorg-x11-Xvnc: require xkeyboard-config (bnc#875329)
* Thu Apr 24 2014 msrb@suse.com
- vnc.xinetd
  * Do not use 16 bpp by default anymore. The network trafic gain
    of 16 bpp together with Tight encoding is arguable. 16 bpp
    causes graphical issues and is known to not work properly
    in Mesa. (bnc#871965)
* Fri Mar 21 2014 msrb@suse.com
- U_tigervnc-dont-check-inputs-with-assert.patch and
  U_tigervnc-use-asserts-in-release.patch
  * Fix security issue. (bnc#869307, CVE-2014-0011)
* Wed Mar 19 2014 ro@suse.de
- excludearch s390 (would need compilation with fPIC as well
  but common/CMakeLists.txt does this only on 64bit)
* Mon Mar 17 2014 msrb@suse.com
- Update HTML page that serves vnc client applet. (bnc#867273)
- u_tigervnc-dont-send-ascii-control-characters.patch
  * Send CTRL+[A-Z] combinations instead of ascii control characters.
    (bnc#864666)
* Fri Feb 21 2014 dvaleev@suse.com
- Add ppc64le support (bnc#865069)
- added patches:
  * u_ppc64le-support.patch
* Thu Feb 13 2014 msrb@suse.com
- Readd vncpasswd.arg for compatibility with installation system
  and potentially another users. (bnc#855246)
* Fri Feb  7 2014 msrb@suse.com
- Drop tigervnc-sf3492503.diff, tigervnc-sf3495623.diff and
  xorg-bug38185.patch (not used and not needed).
- Update tigervnc-sf3492352.diff and tigervnc-sf3495623.patch.
* Wed Feb  5 2014 msrb@suse.com
- N_use-icewm.patch
  * Switch fallback WM to icewm in vncserver script. (bnc#862315)
* Fri Jan 10 2014 sndirsch@suse.com
- do not include vnc Xserver module and xorg.conf snippet on s390x
* Thu Jan  9 2014 msrb@suse.com
- Remove unnecessary BuildRequires for binutils-gold.
* Mon Dec 16 2013 msrb@suse.com
- Exclude xorg-server-1.13.0/hw/xfree86/modes/xf86gtf.c and
  xorg-server-1.13.0/hw/xfree86/utils/gtf/gtf.c from xserver
  sources. (bnc#855566)
- n_tigervnc-dont-build-gtf.patch
  * Fix build with gtf files excluded. (bnc#855566)
* Tue Dec  3 2013 msrb@suse.com
- tigervnc-clean-pressed-key-on-exit.patch
  * Send release events for pressed keys after X I/O error.
    (bnc#670448)
* Mon Nov 18 2013 msrb@suse.com
- Update to 1.3.0.
- Build xorg-x11-Xvnc package from this sources.
* Wed Sep 19 2012 werner@suse.de
- Make it build with latest TeXLive 2012 and use pdf engine
* Wed Mar 21 2012 jengelh@medozas.de
- Add missing tarball
- Parallel build with %%_smp_mflags
- Remove redundant sections
* Fri Feb 24 2012 giecrilj@stegny.2a.pl
- bump to 1.1 (current stable)
- add documentation (bnc#748504)
- build dynamic server
- eliminate gethostbyname, patch submitted upstream
- incidental clean-up
* Wed Feb  9 2011 sndirsch@novell.com
- added jpeg-devel to BuildRequires
* Wed Feb  9 2011 sndirsch@novell.com
- use system jpeg for building
- fixed xkb path
- added more reasonable options for Xvfb building
* Wed Feb  9 2011 sndirsch@novell.com
- added Reinhard's xdmcp fix (bnc #625593)
* Wed Feb  9 2011 sndirsch@novell.com
- TigerVNC build
  * fix fontpatch
  * cleanup
* Wed Feb  9 2011 sndirsch@novell.com
- build Xvnc of TigerVNC project when %%tigervnc is set; make this
  the default for now
* Tue Feb  8 2011 sndirsch@novell.com
- latest version of Perl script
* Thu Feb  3 2011 sndirsch@novell.com
- renamed package from xorg-x11-Xvnc-ng to xorg-x11-Xvnc
* Thu Feb  3 2011 sndirsch@novell.com
- rewritten wrapper script in Perl
* Wed Jan 26 2011 sndirsch@novell.com
- added services file for SuSEfirewall2
* Wed Jan 26 2011 sndirsch@novell.com
- created package
